Package ghidra.app.events

# Class ProgramHighlightPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.ProgramHighlightPluginEvent

public final class ProgramHighlightPluginEvent extends PluginEvent
Plugin event generated when the highlight in a program changes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgramHighlightPluginEvent(String src, ProgramSelection hl, Program program)`
  Construct a new event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProgramSelection`
  `getHighlight()`
  Returns the program selection contained in this event.
  `Program`
  `getProgram()`
  Returns the Program object that the highlight refers to.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getDetails, getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProgramHighlightPluginEvent

    public ProgramHighlightPluginEvent(String src, ProgramSelection hl, Program program)
    Construct a new event.
    Parameters:
      `src` - name of the plugin that generated the event
      `hl` - Program selection containing the selected address set.
      `program` - program being highlighted

- ## Method Details

  - ### getHighlight

    public ProgramSelection getHighlight()
    Returns the program selection contained in this event.
    Returns:
      ProgramSelection contained in this event.

  - ### getProgram

    public Program getProgram()
    Returns the Program object that the highlight refers to.
    Returns:
      the Program object that the highlight refers to.